import { HcApi } from '../../../request/index'
//  合同计量期
export default {
    //分页
    async getPage(form) {
        return HcApi({
            url: '/api/blade-meter/contractMeterPeriod/periodPage',
            method: 'get',
            params: form,
        })
    },
    //修改
    async edit(form) {
        return HcApi({
            url: '/api/blade-meter/contractMeterPeriod/edit',
            method: 'post',
            data: form,
        }, false)
    },
    //合同计量期列表-全部
    async allPeriod(form) {
        return HcApi({
            url: '/api/blade-meter/contractMeterPeriod/allPeriod',
            method: 'get',
            params: form,
        })
    },
    //计量期列表-未关联报表
    async conditionPeriod(form) {
        return HcApi({
            url: '/api/blade-meter/contractMeterPeriod/conditionPeriod',
            method: 'get',
            params: form,
        })
    },
    //获取合同编号
    async getContractNumber(form) {
        return HcApi({
            url: '/api/blade-meter/contractMeterPeriod/getContractNumber',
            method: 'get',
            params: form,
        })
    },
    //锁定
    async locking(form) {
        return HcApi({
            url: '/api/blade-meter/meterPeriod/locking',
            method: 'get',
            params: form,
        })
    },

}
